Bug 221748 - [PATCH] games/manaplus : Update to 1.7.8.19
Summary: [PATCH] games/manaplus : Update to 1.7.8.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-08-23 19:05 UTC by Thibault Payet
Modified: 2017-10-04 16:51 UTC (History)
1 user (show)

See Also:


Attachments
diff of the port (847 bytes, patch)
2017-08-23 19:05 UTC, Thibault Payet
no flags Details | Diff
diff of the port (1.08 KB, patch)
2017-08-23 19:10 UTC, Thibault Payet
monwarez: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Payet 2017-08-23 19:05:07 UTC
Created attachment 185698 [details]
diff of the port

According to ChangeLog, fix: compilation on systems with missing bswap_16/32. We can remove the powerpc64 broken flags
it pass QA
Comment 1 Thibault Payet 2017-08-23 19:10:30 UTC
Created attachment 185699 [details]
diff of the port
Comment 2 Thibault Payet 2017-08-23 19:15:22 UTC
It will be great if this patch could be tested on powerpc64 first, to see if it is resolved.
Comment 3 commit-hook freebsd_committer 2017-09-03 17:38:35 UTC
A commit references this bug:

Author: jbeich
Date: Sun Sep  3 17:37:29 UTC 2017
New revision: 449211
URL: https://svnweb.freebsd.org/changeset/ports/449211

Log:
  games/manaplus: update to 1.7.9.2

  - Lift BROKEN on powerpc64 per upstream fix (untested)

  Changes:	https://manaplus.org/changelog#new_release_1792
  PR:		221748
  Submitted by:	Thibault Payet <monwarez@mailoo.org> (maintainer)
  MFH:		2017Q3

Changes:
  head/games/manaplus/Makefile
  head/games/manaplus/distinfo
  head/games/manaplus/pkg-plist
Comment 4 Jan Beich freebsd_committer 2017-09-03 17:48:58 UTC
Thanks. Landed but slightly newer version.

For powerpc64 testing you can probably ask swills@, linimon@ or anyone else interested on the dedicated mailing list. head-powerpc64 machine on https://pkg-status.freebsd.org/ appears to build packages only once per quarter. qemu-ppc*-static is still broken, see recent thread on ports@ list.
Comment 5 commit-hook freebsd_committer 2017-10-04 16:51:21 UTC
A commit references this bug:

Author: jbeich
Date: Wed Oct  4 16:51:02 UTC 2017
New revision: 451235
URL: https://svnweb.freebsd.org/changeset/ports/451235

Log:
  MFH: r449211 r450795

  games/manaplus: update to 1.7.9.16

  - Lift BROKEN on powerpc64 per upstream fix (untested)

  Changes:	https://manaplus.org/changelog#new_release_17916
  PR:		221748 222544
  Submitted by:	Thibault Payet <monwarez@mailoo.org> (maintainer)
  Approved by:	ports-secteam (zi)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/games/manaplus/Makefile
  branches/2017Q3/games/manaplus/distinfo
  branches/2017Q3/games/manaplus/pkg-plist